%% Clean up
clear
close all

%% small data set for a test case
np = 4;
nt = 2;
px = [0;1;0;1];
py = [0;0;1;1];
nodes = [px, py];
triangles = [1,2,3;2,3,4];
lambda = [1,2];
mu = [2,2];

%% plot grid
triplot(triangles,px,py)
axis square

%% mass and stiffness matrix assembly
[L,M] = StiffMassMat(nodes,triangles,lambda,mu);

full(L)

full(M)